# Wait

When **Wait** is reached in your application's process flow, it waits a specified period of time (or indefinitely) for a specified *Task* to complete.

***

## Properties

### Task

The task to wait for.

### Use timeout

If selected, wait until a specified timeout has elapsed.

If not selected, the wait will be indefinite.

### Timeout

Timeout in milliseconds. This is how long the process flow will wait before proceeding.

Only displayed when *Use timeout* is selected.

***

## Definition

When *Use timeout* is selected, the *Wait* boolean variable becomes available. It indicates whether the [Task](#task) completed or not.

{% hint style="info" %}
No errors are returned with *Use timeout*.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/async/content/wait.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
